Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.registry
Class SourceFile

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.pf.registry.Item
                  de.grogra.pf.ui.registry.SourceFile

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, RegistryContext, UIItem, Showable, UserFields, XObject, Described, Map, ObjectToBoolean, java.io.Serializable, java.util.EventListener, javax.swing.event.TreeModelListener

    public class SourceFile

extends Item
implements UIItem, ObjectToBoolean, javax.swing.event.TreeModelListener, Showable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SourceFile.Loader`

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`protected int` | `activationStamp`
`protected java.lang.String` | `deactivationCategory`
`protected boolean` | `disabled`
`static Node.NType.Field` | `disabled$FIELD`
`protected boolean` | `editable`
`static Node.NType.Field` | `editable$FIELD`
`protected MimeType` | `mimeType`
`static Node.NType.Field` | `mimeType$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`SourceFile(java.lang.String key, MimeType mimeType)`

Method Summary
`protected void` | `activateImpl()`
`void` | `addRequiredFiles(java.util.Collection list)`
`static void` | `copyNodeFields(Node oldNode, Node newNode)`
`protected void` | `deactivateImpl()`
`boolean` | `evaluateBoolean(java.lang.Object o)` Computes the value of this function at `x`.
`static SourceFile` | `get(RegistryContext ctx, java.lang.String systemId)`
`int` | `getActivationStamp()`
`protected java.lang.Object` | `getDescriptionImpl(java.lang.String type)`
`MimeType` | `getMimeType()`
`MimeTypeItem` | `getMimeTypeItem()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`int` | `getUINodeType()`
`java.lang.Object` | `invoke(Context ctx, java.lang.String method, java.lang.Object arg)`
`boolean` | `isAvailable(Context ctx)`
`boolean` | `isDisabled()`
`boolean` | `isEditable()`
`boolean` | `isEnabled(Context ctx)`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`static void` | `refresh(Item dir, SourceFile file, java.lang.String category, Command afterRefresh)`
`void` | `setActivationStamp(int stamp)`
`void` | `setDisabled(boolean value)`
`void` | `show(Context ctx)`
`void` | `show(Context ctx, java.lang.String ref)`
`void` | `showLater(Context ctx)`
`FileSource` | `toFileSource()`
`void` | `treeNodesChanged(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesInserted(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesRemoved(javax.swing.event.TreeModelEvent e)`
`void` | `treeStructureChanged(javax.swing.event.TreeModelEvent e)`

Methods inherited from class de.grogra.pf.registry.Item
`activate, add, add, addPluginPrerequisite, addPluginPrerequisites, addUserItem, addUserItemWithUniqueName, addWithUniqueName, beginXA, classForName, commitXA, createItem, deactivate, deriveItems, dupUnmanagedFields, equals, findAll, findAll, findAll, findFirst, findFirst, findFirst, findMax, findMax, findMax, forAll, forAll, forAll, get, getAbsoluteName, getAccessor, getAccessor, getAttributes, getAttributes, getClassLoader, getDefaultDescription, getDefaultValue, getDerivedDescription, getDescription, getFromResource, getI18NBundle, getItem, getLock, getParentMap, getPath, getPluginDescriptor, getRegistry, getRoot, getTransaction, getUniqueName, getWriteLock, hasEditableOptions, initPluginDescriptor, isActivated, isDirectory, isEditable, isOptionCategory, isPluginItem, isUserItem, makeUserItem, paramString, readAttribute, remove, removeDerivedItems, resolveItem, resolveLink, set, setDefaultDescription, setDescription, setDescription, setDirectory, setName, setNameIfNull, setOption, substitute, validate`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, edgeChanged, fieldModified, findAdjacent, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### activationStamp

    protected transient int activationStamp

### deactivationCategory

    protected transient java.lang.String deactivationCategory

### disabled

    protected boolean disabled

### disabled$FIELD

    public static final Node.NType.Field disabled$FIELD

### editable

    protected boolean editable

### editable$FIELD

    public static final Node.NType.Field editable$FIELD

### mimeType

    protected MimeType mimeType

### mimeType$FIELD

    public static final Node.NType.Field mimeType$FIELD

Constructor Detail

### SourceFile

    public SourceFile(java.lang.String key,
                      MimeType mimeType)

Method Detail

### activateImpl

    protected void activateImpl()

  Overrides:
    `activateImpl` in class `Item`

### addRequiredFiles

    public void addRequiredFiles(java.util.Collection list)

  Overrides:
    `addRequiredFiles` in class `Item`

### copyNodeFields

    public static void copyNodeFields(Node oldNode,
                                      Node newNode)

### deactivateImpl

    protected void deactivateImpl()

  Overrides:
    `deactivateImpl` in class `Item`

### evaluateBoolean

    public boolean evaluateBoolean(java.lang.Object o)

  Description copied from interface: `ObjectToBoolean`
  Computes the value of this function at `x`.

  Specified by:
    `evaluateBoolean` in interface `ObjectToBoolean`
  Parameters:
    `o` - where the function is to be evaluated
  Returns:
    function value at `x`

### get

    public static SourceFile get(RegistryContext ctx,
                                 java.lang.String systemId)

### getActivationStamp

    public int getActivationStamp()

### getDescriptionImpl

    protected java.lang.Object getDescriptionImpl(java.lang.String type)

  Overrides:
    `getDescriptionImpl` in class `Item`

### getMimeType

    public MimeType getMimeType()

### getMimeTypeItem

    public MimeTypeItem getMimeTypeItem()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Item`
  Returns:
    type describing the managed fields of the class of this node

### getUINodeType

    public int getUINodeType()

  Specified by:
    `getUINodeType` in interface `UIItem`

### invoke

    public java.lang.Object invoke(Context ctx,
                                   java.lang.String method,
                                   java.lang.Object arg)

  Specified by:
    `invoke` in interface `UIItem`

### isAvailable

    public boolean isAvailable(Context ctx)

  Specified by:
    `isAvailable` in interface `UIItem`

### isDisabled

    public boolean isDisabled()

### isEditable

    public boolean isEditable()

### isEnabled

    public boolean isEnabled(Context ctx)

  Specified by:
    `isEnabled` in interface `UIItem`

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Item`
  Returns:
    new instance of class of this node

### refresh

    public static void refresh(Item dir,
                               SourceFile file,
                               java.lang.String category,
                               Command afterRefresh)

### setActivationStamp

    public void setActivationStamp(int stamp)

### setDisabled

    public void setDisabled(boolean value)

### show

    public void show(Context ctx)

  Specified by:
    `show` in interface `Showable`

### show

    public void show(Context ctx,
                     java.lang.String ref)

### showLater

    public void showLater(Context ctx)

### toFileSource

    public FileSource toFileSource()

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD